halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
hal::MetaData Member List

This is the complete list of members for hal::MetaData, including all inherited members.

get(const std::string &key) const =0 | hal::MetaData | pure virtual
getMap() const =0 | hal::MetaData | pure virtual
has(const std::string &key) const =0 | hal::MetaData | pure virtual
set(const std::string &key, const std::string &value)=0 | hal::MetaData | pure virtual
~MetaData()=0 | hal::MetaData | inline protected pure virtual